package tp2;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.text.DateFormat;
import java.text.ParseException;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
public class Gestion {

	public static void main(String[] args) throws Exception {
	Etudiant[] groupe=new Etudiant[150];
		String string = "January 2, 2010";
		DateTimeFormatter formatter = DateTimeFormatter.ofPattern("MMMM d, yyyy", Locale.ENGLISH);
		LocalDate date = LocalDate.parse(string, formatter);
		
		//Date d=df.parse(test);
		for (int i=0; i < 150; i ++) {
			groupe[i]=new Etudiant(NameGenerator.generateName()+" "+NameGenerator.generateName(),/*date,*/ (int)(Math.random()*(2-0)),(int)(Math.random()*(4-0)),(double)(Math.random()*(21-0)),(double)(Math.random()*(21-0)),(double)(Math.random()*(21-0)));
			//groupe[i].ligneResultats();
			System.out.println(groupe[i].toString());
		}
		

	}

}
